
package bugrunner;

import info.gridworld.actor.Bug;


public class BoxBug extends Bug {
    private int steps;
    private int sideLength;
    
    public BoxBug( int length ) {
        steps = 0;
        sideLength = length;
    } // BoxBug( int )
    
    public void act() {
        if( steps < sideLength && canMove() ) {
            move();
            steps++;
        } // if
        else {
            turn();
            turn();
            steps = 0;
        } // else
    } // act()
} // BoxBug
